Funding
Virtual account application status changed
Sent when the application is created (submitting), accepted by the bank (under_review), its submission result is uncertain (submit_uncertain), it is opened (opened) or rejected (rejected). data has the same shape as GET /virtual-accounts/{virtualAccountId}; when opened, accounts holds the deposit instructions per currency.
application/json- body
id*stringEvent ID (starts with evt_), unchanged across retries
type*stringcreated_at*stringFormat
date-timedata*Received by the merchant; any 2xx is a success
Example Requests
POST/virtual_account.status_changed
application/json
{ "id": "string", "type": "virtual_account.status_changed", "created_at": "2019-08-24T14:15:22Z", "data": { "id": "string", "customer_id": "string", "bank_id": "string", "bank_name": "string", "currencies": [ "string" ], "status": "submitting", "reject_reason": "string", "accounts": [ { "currency": "string", "deposit_instrument_id": "string", "details": {} } ], "opened_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}